---
title: list-snapshots
product: vercel
url: /docs/rest-api/sandboxes/list-snapshots
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-snapshots on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List snapshots

```http
GET /v1/sandboxes/snapshots
```

Retrieves a paginated list of snapshots for a specific project.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `project` | string | No | The unique identifier or name of the project to list snapshots for. |
| `limit` | number | No | Maximum number of snapshots to return in the response. Used for pagination. |
| `since` | number | No | Filter snapshots created after this timestamp. Specified as Unix time in milliseconds. |
| `until` | number | No | Filter snapshots created before this timestamp. Specified as Unix time in milliseconds. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "pagination",
    "snapshots"
  ],
  "properties": {
    "snapshots": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "This object contains information related to a Snapshot of a Vercel Sandbox session (v2 API).",
        "required": [
          "createdAt",
          "id",
          "region",
          "sizeBytes",
          "sourceSessionId",
          "status",
          "updatedAt"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the snapshot."
          },
          "sourceSessionId": {
            "type": "string",
            "description": "The unique identifier of the session from which the snapshot was created."
          },
          "region": {
            "type": "string",
            "description": "The region where the snapshot is stored."
          },
          "status": {
            "type": "string",
            "description": "The status of the snapshot.",
            "enum": [
              "failed",
              "created",
              "deleted"
            ]
          },
          "sizeBytes": {
            "type": "number",
            "description": "The size of the snapshot in bytes."
          },
          "expiresAt": {
            "type": "number",
            "description": "The time when the snapshot will expire, in milliseconds since the epoch. If not set, the snapshot does not have any expiration."
          },
          "createdAt": {
            "type": "number",
            "description": "The time when the snapshot was created, in milliseconds since the epoch."
          },
          "updatedAt": {
            "type": "number",
            "description": "The last time the snapshot was updated, in milliseconds since the epoch."
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "count",
        "next",
        "prev",
        "total"
      ],
      "properties": {
        "total": {
          "type": "number"
        },
        "count": {
          "type": "number",
          "description": "Amount of items in the current page."
        },
        "next": {
          "type": "number",
          "description": "Timestamp that must be used to request the next page.",
          "nullable": true
        },
        "prev": {
          "type": "number",
          "description": "Timestamp that must be used to request the previous page.",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [sandboxes endpoints](/docs/rest-api#sandboxes)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
